/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

/**
 *
 */
package de.intevation.gnv.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class MapClientStandaloneAction extends ArtifactDatabaseActionBase {

    public final static String MAPCLIENTSTANDALONE_KEY = 
                          "de.intevation.gnv.action.MapClientStandaloneAction";
    /**
     * Constructor
     */
    public MapClientStandaloneAction() {
        super();
    }

    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws Exception {
        
        request.setAttribute(MAPCLIENTSTANDALONE_KEY, true);
        return super.execute(mapping, form, request, response);
    }
    

}
